/****************************************************************************
**
** Copyright (C) Datafox GmbH.
** All rights reserved.
** Contact: Datafox GmbH (develop@datafox.de)
**
** This file is part of the DFComDLL module of the Datafox SDK.
**
****************************************************************************/
#pragma once
#ifndef DATAFOX_COMMUNICATION_PROTOCOL_H
#define DATAFOX_COMMUNICATION_PROTOCOL_H

// Basisklasse einbinden.
#include "datafox/communication/protocol_crypt.h"

namespace Datafox
{
    namespace Communication
    {
        /// Basisklasse fuer pure protokollbasierte Kommunikationsaufgaben.
        class Protocol : public ProtocolCrypt
        {
        public:
            Protocol( int32_t connectionNumber = ConnectionBase::defaultConnectionNumber(), uint8_t deviceAddress = defaultDeviceAddress() );
            virtual ~Protocol();

        };

    } // namespace Communication
} // namespace Datafox

#endif
